function out = p53_network_apoptotic_module
out{1} = @init;
out{2} = @fun_eval;
out{3} = @jacobian;
out{4} = @jacobianp;
out{5} = @hessians;
out{6} = @hessiansp;
out{7} = [];
out{8} = [];
out{9} = [];

% --------------------------------------------------------------------------
function dydt = fun_eval(t,kmrgd,p53_killer,AKT_p,Bad_tot,BclXL_tot,Fourteen33_tot,a1,a2,q0_bax,q1_bax,q2,s4,t4,s7,p7,d9,b1,b2,b3,u1,u2,u3,g4,g9,g16,g17,g18,h)
dydt=[+s4*((q0_bax+q1_bax*p53_killer^h)/(q2+q0_bax+q1_bax*p53_killer^h))-g4*kmrgd(1);;
+t4*kmrgd(1)+u1*kmrgd(4)-b1*kmrgd(3)*kmrgd(2)-g9*kmrgd(2);;
+u2*(BclXL_tot-(kmrgd(3)+kmrgd(4)))+u1*kmrgd(4)+g16*kmrgd(4)+p7*AKT_p*(BclXL_tot-(kmrgd(3)+kmrgd(4)))-b2*kmrgd(3)*kmrgd(5)-b1*kmrgd(3)*kmrgd(2);;
+b1*kmrgd(3)*kmrgd(2)-u1*kmrgd(4)-g16*kmrgd(4);;
+d9*kmrgd(6)+u2*(BclXL_tot-(kmrgd(3)+kmrgd(4)))-p7*AKT_p*kmrgd(5)+d9*(Bad_tot-((BclXL_tot-(kmrgd(3)+kmrgd(4)))+kmrgd(5)+kmrgd(6)))-b2*kmrgd(5)*kmrgd(3);;
+p7*AKT_p*kmrgd(5)+u3*(Bad_tot-((BclXL_tot-(kmrgd(3)+kmrgd(4)))+kmrgd(5)+kmrgd(6)))+p7*AKT_p*(BclXL_tot-(kmrgd(3)+kmrgd(4)))-d9*kmrgd(6)-b3*kmrgd(6)*(Fourteen33_tot-(Bad_tot-([(BclXL_tot-(kmrgd(3)+kmrgd(4)))]+kmrgd(5)+kmrgd(6))));;
+s7-g17*kmrgd(7)-a1*kmrgd(2)*kmrgd(7)-a2*((kmrgd(8))^2)*kmrgd(7);;
-g18*kmrgd(8)+a1*kmrgd(2)*kmrgd(7)+a2*((kmrgd(8))^2)*kmrgd(7);;];

% --------------------------------------------------------------------------
function [tspan,y0,options] = init
handles = feval(p53_network_apoptotic_module);
y0=[0,0,0,0,0,0,0,0];
options = odeset('Jacobian',handles(3),'JacobianP',handles(4),'Hessians',handles(5),'HessiansP',handles(6));
tspan = [0 10];

% --------------------------------------------------------------------------
function jac = jacobian(t,kmrgd,p53_killer,AKT_p,Bad_tot,BclXL_tot,Fourteen33_tot,a1,a2,q0_bax,q1_bax,q2,s4,t4,s7,p7,d9,b1,b2,b3,u1,u2,u3,g4,g9,g16,g17,g18,h)
jac=[ -g4 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; t4 , - g9 - kmrgd(3)*b1 , -kmrgd(2)*b1 , u1 , 0 , 0 , 0 , 0 ; 0 , -kmrgd(3)*b1 , - u2 - kmrgd(5)*b2 - kmrgd(2)*b1 - AKT_p*p7 , g16 + u1 - u2 - AKT_p*p7 , -kmrgd(3)*b2 , 0 , 0 , 0 ; 0 , kmrgd(3)*b1 , kmrgd(2)*b1 , - g16 - u1 , 0 , 0 , 0 , 0 ; 0 , 0 , d9 - u2 - kmrgd(5)*b2 , d9 - u2 , - d9 - kmrgd(3)*b2 - AKT_p*p7 , 0 , 0 , 0 ; 0 , 0 , u3 + kmrgd(6)*b3 - AKT_p*p7 , u3 + kmrgd(6)*b3 - AKT_p*p7 , AKT_p*p7 - kmrgd(6)*b3 - u3 , - d9 - u3 - kmrgd(6)*b3 - b3*(kmrgd(5) + kmrgd(6) - Bad_tot - kmrgd(4) - kmrgd(3) + BclXL_tot + Fourteen33_tot) , 0 , 0 ; 0 , -a1*kmrgd(7) , 0 , 0 , 0 , 0 , - g17 - kmrgd(2)*a1 - kmrgd(8)^2*a2 , -2*kmrgd(8)*a2*kmrgd(7) ; 0 , a1*kmrgd(7) , 0 , 0 , 0 , 0 , kmrgd(2)*a1 + kmrgd(8)^2*a2 , 2*kmrgd(8)*a2*kmrgd(7) - g18 ];
% --------------------------------------------------------------------------
function jacp = jacobianp(t,kmrgd,p53_killer,AKT_p,Bad_tot,BclXL_tot,Fourteen33_tot,a1,a2,q0_bax,q1_bax,q2,s4,t4,s7,p7,d9,b1,b2,b3,u1,u2,u3,g4,g9,g16,g17,g18,h)
jacp=[ (h*p53_killer^(h - 1)*q1_bax*s4)/(q2 + q0_bax + p53_killer^h*q1_bax) - (h*p53_killer^(h - 1)*q1_bax*s4*(q0_bax + p53_killer^h*q1_bax))/(q2 + q0_bax + p53_killer^h*q1_bax)^2 , 0 , 0 , 0 , 0 , 0 , 0 , s4/(q2 + q0_bax + p53_killer^h*q1_bax) - (s4*(q0_bax + p53_killer^h*q1_bax))/(q2 + q0_bax + p53_killer^h*q1_bax)^2 , (p53_killer^h*s4)/(q2 + q0_bax + p53_killer^h*q1_bax) - (p53_killer^h*s4*(q0_bax + p53_killer^h*q1_bax))/(q2 + q0_bax + p53_killer^h*q1_bax)^2 , -(s4*(q0_bax + p53_killer^h*q1_bax))/(q2 + q0_bax + p53_killer^h*q1_bax)^2 , (q0_bax + p53_killer^h*q1_bax)/(q2 + q0_bax + p53_killer^h*q1_bax) , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , -kmrgd(1) , 0 , 0 , 0 , 0 , (p53_killer^h*q1_bax*s4*log(p53_killer))/(q2 + q0_bax + p53_killer^h*q1_bax) - (p53_killer^h*q1_bax*s4*log(p53_killer)*(q0_bax + p53_killer^h*q1_bax))/(q2 + q0_bax + p53_killer^h*q1_bax)^2 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , kmrgd(1) , 0 , 0 , 0 , -kmrgd(2)*kmrgd(3) , 0 , 0 , kmrgd(4) , 0 , 0 , 0 , -kmrgd(2) , 0 , 0 , 0 , 0 ; 0 , -p7*(kmrgd(4) + kmrgd(3) - BclXL_tot) , 0 , u2 + AKT_p*p7 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , -AKT_p*(kmrgd(4) + kmrgd(3) - BclXL_tot) , 0 , -kmrgd(2)*kmrgd(3) , -kmrgd(5)*kmrgd(3) , 0 , kmrgd(4) , BclXL_tot - kmrgd(3) - kmrgd(4) , 0 , 0 , 0 , kmrgd(4) , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , kmrgd(2)*kmrgd(3) , 0 , 0 , -kmrgd(4) , 0 , 0 , 0 , 0 , -kmrgd(4) , 0 , 0 , 0 ; 0 , -kmrgd(5)*p7 , d9 , u2 - d9 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , -AKT_p*kmrgd(5) , Bad_tot - kmrgd(5) + kmrgd(4) + kmrgd(3) - BclXL_tot , 0 , -kmrgd(5)*kmrgd(3) , 0 , 0 , BclXL_tot - kmrgd(3) - kmrgd(4) , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , kmrgd(5)*p7 - p7*(kmrgd(4) + kmrgd(3) - BclXL_tot) , u3 + kmrgd(6)*b3 , AKT_p*p7 - kmrgd(6)*b3 - u3 , -kmrgd(6)*b3 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , AKT_p*kmrgd(5) - AKT_p*(kmrgd(4) + kmrgd(3) - BclXL_tot) , -kmrgd(6) , 0 , 0 , -kmrgd(6)*(kmrgd(5) + kmrgd(6) - Bad_tot - kmrgd(4) - kmrgd(3) + BclXL_tot + Fourteen33_tot) , 0 , 0 , Bad_tot - kmrgd(6) - kmrgd(5) + kmrgd(4) + kmrgd(3) - BclXL_tot , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , -kmrgd(2)*kmrgd(7) , -kmrgd(8)^2*kmrgd(7) , 0 , 0 , 0 , 0 , 0 , 1 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , -kmrgd(7) , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , kmrgd(2)*kmrgd(7) , kmrgd(8)^2*kmrgd(7) , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , -kmrgd(8) , 0 ];
% --------------------------------------------------------------------------
function hess = hessians(t,kmrgd,p53_killer,AKT_p,Bad_tot,BclXL_tot,Fourteen33_tot,a1,a2,q0_bax,q1_bax,q2,s4,t4,s7,p7,d9,b1,b2,b3,u1,u2,u3,g4,g9,g16,g17,g18,h)
hess1=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hess2=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , -b1 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , -b1 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , b1 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , -a1 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , a1 , 0 ];
hess3=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , -b1 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , -b1 , 0 , 0 , -b2 , 0 , 0 , 0 ; 0 , b1 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , -b2 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , b3 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hess4=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , b3 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hess5=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , -b2 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , -b2 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , -b3 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hess6=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , b3 , b3 , -b3 , -2*b3 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hess7=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , -a1 , 0 , 0 , 0 , 0 , 0 , -2*kmrgd(8)*a2 ; 0 , a1 , 0 , 0 , 0 , 0 , 0 , 2*kmrgd(8)*a2 ];
hess8=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , -2*kmrgd(8)*a2 , -2*a2*kmrgd(7) ; 0 , 0 , 0 , 0 , 0 , 0 , 2*kmrgd(8)*a2 , 2*a2*kmrgd(7) ];
hess(:,:,1) =hess1;
hess(:,:,2) =hess2;
hess(:,:,3) =hess3;
hess(:,:,4) =hess4;
hess(:,:,5) =hess5;
hess(:,:,6) =hess6;
hess(:,:,7) =hess7;
hess(:,:,8) =hess8;
% --------------------------------------------------------------------------
function hessp = hessiansp(t,kmrgd,p53_killer,AKT_p,Bad_tot,BclXL_tot,Fourteen33_tot,a1,a2,q0_bax,q1_bax,q2,s4,t4,s7,p7,d9,b1,b2,b3,u1,u2,u3,g4,g9,g16,g17,g18,h)
hessp1=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp2=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , -p7 , -p7 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , -p7 , 0 , 0 , 0 ; 0 , 0 , -p7 , -p7 , p7 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp3=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , b3 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp4=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , -b3 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp5=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , -b3 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp6=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , -kmrgd(7) , 0 , 0 , 0 , 0 , -kmrgd(2) , 0 ; 0 , kmrgd(7) , 0 , 0 , 0 , 0 , kmrgd(2) , 0 ];
hessp7=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , -kmrgd(8)^2 , -2*kmrgd(8)*kmrgd(7) ; 0 , 0 , 0 , 0 , 0 , 0 , kmrgd(8)^2 , 2*kmrgd(8)*kmrgd(7) ];
hessp8=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp9=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp10=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp11=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp12=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 1 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp13=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp14=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , -AKT_p , -AKT_p , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , -AKT_p , 0 , 0 , 0 ; 0 , 0 , -AKT_p , -AKT_p , AKT_p , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp15=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 1 , 1 , -1 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , -1 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp16=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , -kmrgd(3) , -kmrgd(2) , 0 , 0 , 0 , 0 , 0 ; 0 , -kmrgd(3) , -kmrgd(2) , 0 , 0 , 0 , 0 , 0 ; 0 , kmrgd(3) , kmrgd(2) , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp17=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , -kmrgd(5) , 0 , -kmrgd(3) , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , -kmrgd(5) , 0 , -kmrgd(3) , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp18=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , kmrgd(6) , kmrgd(6) , -kmrgd(6) , Bad_tot - 2*kmrgd(6) - kmrgd(5) + kmrgd(4) + kmrgd(3) - BclXL_tot - Fourteen33_tot , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp19=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 1 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 1 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , -1 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp20=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , -1 , -1 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , -1 , -1 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp21=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 1 , 1 , -1 , -1 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp22=[ -1 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp23=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , -1 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp24=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 1 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , -1 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp25=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , -1 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp26=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , -1 ];
hessp27=[ 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 ];
hessp(:,:,1) =hessp1;
hessp(:,:,2) =hessp2;
hessp(:,:,3) =hessp3;
hessp(:,:,4) =hessp4;
hessp(:,:,5) =hessp5;
hessp(:,:,6) =hessp6;
hessp(:,:,7) =hessp7;
hessp(:,:,8) =hessp8;
hessp(:,:,9) =hessp9;
hessp(:,:,10) =hessp10;
hessp(:,:,11) =hessp11;
hessp(:,:,12) =hessp12;
hessp(:,:,13) =hessp13;
hessp(:,:,14) =hessp14;
hessp(:,:,15) =hessp15;
hessp(:,:,16) =hessp16;
hessp(:,:,17) =hessp17;
hessp(:,:,18) =hessp18;
hessp(:,:,19) =hessp19;
hessp(:,:,20) =hessp20;
hessp(:,:,21) =hessp21;
hessp(:,:,22) =hessp22;
hessp(:,:,23) =hessp23;
hessp(:,:,24) =hessp24;
hessp(:,:,25) =hessp25;
hessp(:,:,26) =hessp26;
hessp(:,:,27) =hessp27;
%---------------------------------------------------------------------------
function tens3  = der3(t,kmrgd,p53_killer,AKT_p,Bad_tot,BclXL_tot,Fourteen33_tot,a1,a2,q0_bax,q1_bax,q2,s4,t4,s7,p7,d9,b1,b2,b3,u1,u2,u3,g4,g9,g16,g17,g18,h)
%---------------------------------------------------------------------------
function tens4  = der4(t,kmrgd,p53_killer,AKT_p,Bad_tot,BclXL_tot,Fourteen33_tot,a1,a2,q0_bax,q1_bax,q2,s4,t4,s7,p7,d9,b1,b2,b3,u1,u2,u3,g4,g9,g16,g17,g18,h)
%---------------------------------------------------------------------------
function tens5  = der5(t,kmrgd,p53_killer,AKT_p,Bad_tot,BclXL_tot,Fourteen33_tot,a1,a2,q0_bax,q1_bax,q2,s4,t4,s7,p7,d9,b1,b2,b3,u1,u2,u3,g4,g9,g16,g17,g18,h)
